Bug 231189 - pykickstart-0.98-1 uses incorrect UTC timezone specification for RHEL4 versioned kickstarts
Summary: pykickstart-0.98-1 uses incorrect UTC timezone specification for RHEL4 versio...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pykickstart   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 18:34 UTC by James Laska
Modified: 2013-09-02 06:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-07 15:07:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Laska 2007-03-06 18:34:29 UTC
# RPM pykickstart-0.98-1.fc7

According to "commands/timezone.py" the FC3 timezone kickstart commands takes
the following argument: --isUtc.  However, I believe that format for the
timezone command is not valid until FC-5.  

However, according anaconda-10.1.0.2/kickstart.py (FC3) ... --utc is the only
acceptable format.

    def doTimezone(self, id, args):
    (args, extra) = isys.getopt(args, '',
        [ 'utc' ])

    isUtc = 0

    for n in args:
        (str, arg) = n
        if str == '--utc':
        isUtc = 1

It appears that the --isUtc format wasn't accepted until FC5
(anaconda-11.0.5/kickstart.py):

    def doTimezone(self, id, args):
        KickstartHandlers.doTimezone(self, args)
        dict = self.ksdata.timezone

    id.instClass.setTimezoneInfo(id, dict["timezone"], dict["isUtc"])
    self.skipSteps.append("timezone")


Note You need to log in before you can comment on or make changes to this bug.